Bug 243153 - Procmail AVC denial
Procmail AVC denial
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-07 11:57 EDT by Ingemar Nilsson
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-11 08:42:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ingemar Nilsson 2007-06-07 11:57:15 EDT
Description of problem:

Output from setroubleshoot follows:

Summary
SELinux is preventing access to files with the default label, default_t.

Detailed Description
SELinux permission checks on files labeled default_t are being denied. These
files/directories have the default label on them. This can indicate a labeling
problem, especially if the files being referred to are not top level
directories. Any files/directories under standard system directories, /usr,
/var. /dev, /tmp, ..., should not be labeled with the default label. The default
label is for files/directories which do not have a label on a parent directory.
So if you create a new directory in / you might legitimately get this label.

Allowing Access
If you want a confined domain to use these files you will probably need to
relabel the file/directory with chcon. In some cases it is just easier to
relabel the system, to relabel execute: "touch /.autorelabel; reboot"

Additional Information
Source Context:  system_u:system_r:procmail_t
Target Context:  system_u:object_r:default_t
Target Objects:  root [ dir ]
Affected RPM Packages:
  procmail-3.22-19.fc7 [application]
  filesystem-2.4.6-1.fc7 [target]
Policy RPM:  selinux-policy-2.6.4-8.fc7
Selinux Enabled:  True
Policy Type:  targeted
MLS Enabled:  True
Enforcing Mode:  Enforcing
Plugin Name:  plugins.default
Host Name:  tyrannosaurus
Platform:  Linux tyrannosaurus 2.6.21-1.3194.fc7 #1 SMP Wed May 23 22:35:01 EDT
2007 i686 i686
Alert Count:  1
First Seen:  Wed 06 Jun 2007 11:50:24 AM CEST
Last Seen:  Wed 06 Jun 2007 11:50:24 AM CEST
Local ID:  b405a331-37d1-4166-8d2b-7587054540a4
Line Numbers:

Raw Audit Messages:
avc: denied { search } for comm="procmail" dev=sda8 egid=0 euid=0
exe="/usr/bin/procmail" exit=-13 fsgid=0 fsuid=0 gid=0 items=0 name="root"
pid=5044 scontext=system_u:system_r:procmail_t:s0 sgid=0
subj=system_u:system_r:procmail_t:s0 suid=0 tclass=dir
tcontext=system_u:object_r:default_t:s0 tty=(none) uid=0

How reproducible:

I don't know.

Steps to Reproduce:

I don't know.
Comment 1 Daniel Walsh 2007-06-11 08:42:46 EDT
restorecon -R -v /root

Fixed in selinux-policy-2.6.4-13.fc7

Note You need to log in before you can comment on or make changes to this bug.